<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMOUTPUTRCTEditView9Base from './emoutputrctedit-view9-base.vue';

import view_form from '@widgets/emoutput-rct/main2-form/main2-form.vue';

/**
 * 产能信息
 *
 * @export
 * @class EMOUTPUTRCTEditView9
 * @extends {EMOUTPUTRCTEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMOUTPUTRCTEditView9 extends EMOUTPUTRCTEditView9Base { }
</script>